
from django import forms
from .models import Storage, Order


class UploadFileForm(forms.ModelForm):
    class Meta:
        model = Storage
        fields = ['item_name', 'description', 'file']

    file = forms.FileField()




class OrderForm(forms.ModelForm):
    CHOICE_FILE_FROM_STORAGE = 'storage'
    CHOICE_FILE_UPLOAD = 'upload'
    FILE_CHOICES = [
        (CHOICE_FILE_FROM_STORAGE, 'Загрузить из хранилища'),
        (CHOICE_FILE_UPLOAD, 'Загрузить файл вручную'),
    ]

    file_choice = forms.ChoiceField(choices=FILE_CHOICES, widget=forms.RadioSelect)
    storage_item = forms.ModelChoiceField(queryset=Storage.objects.none(), required=False)
    upload_file = forms.FileField(required=False)

    class Meta:
        model = Order
        fields = ['order_parameters']  # Добавьте другие необходимые поля, если нужно

    def __init__(self, *args, **kwargs):
        user = kwargs.pop('user', None)
        super().__init__(*args, **kwargs)
        if user:
            self.fields['storage_item'].queryset = Storage.objects.filter(user=user)